#include <avr/pgmspace.h>

#ifndef __LEVELS_H
#define __LEVELS_H

#define LEVEL_FIELD_WIDTH 15
#define LEVEL_FIELD_HEIGHT 15
#define LEVEL_MOLECULE_WIDTH 8
#define LEVEL_MOLECULE_HEIGHT 8
#define LEVEL_NAME_LENGTH (25+1)
#define LEVEL_BYTE_SIZE (LEVEL_NAME_LENGTH + LEVEL_FIELD_WIDTH * LEVEL_FIELD_HEIGHT + LEVEL_MOLECULE_WIDTH * LEVEL_MOLECULE_HEIGHT)
#define LEVEL_COUNT 50

const char levels[] PROGMEM = {
// LEVEL 1: WATER
 87,  65,  84,  69,  82,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   1,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   9,   1,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   1,   1,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   1,   2,   2,   1,   2,   1,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   1,   2,  48,   2,   2,   1,   2,   2, 
  2,   2,   1,   1,   1,   2,   1,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   5,   2,   2,   2,   2,   1,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  5,  48,   9,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 2: METHANE
 77,  69,  84,  72,  65,  78,  69,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   1,   2,   2,   2,   1,   2,   2,   1,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   1,   2,   2,   1,   9,   1,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   2,   1,   2,   2,   2,   1,  14,   2,   1,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   2,   1,   1,   1,   1,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   2,   2,   1,   5,   1,   2,   1,   2, 
  2,   1,   2,   7,   2,   2,   1,   2,   2,   1,   2,   2,   2,   1,   2, 
  2,   1,   2,   1,   1,   1,   1,   1,   2,   2,   2,   2,   1,   1,   2, 
  2,   1,   2,   3,   2,   1,   2,   2,   1,   2,   2,   2,   1,   2,   2, 
  2,   1,   1,   1,   1,   1,   2,   2,   1,   2,   2,   2,   1,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   7,   2,   2,   2,   2,   2,   2, 
  5,  14,   9,   2,   2,   2,   2,   2, 
  2,   3,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 3: METHANOL
 77,  69,  84,  72,  65,  78,  79,  76,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   1,   1,   1,   2, 
  2,   1,   1,   1,   1,   2,   2,   2,   2,   2,   1,   2,   2,   1,   2, 
  2,   1,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2,   2,   1,   2, 
  2,   1,   2,   2,   1,   1,   2,   2,   2,   1,   1,   2,  48,   1,   2, 
  2,   1,   2,   2,   3,   1,   1,   1,   1,   1,   2,   2,   2,   1,   2, 
  2,   1,   2,   1,   2,   1,   2,  14,   1,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   2,   1,   2,   9,   2,   2,   1,   2, 
  2,   1,   2,   2,   1,   2,   1,   2,   2,   2,   1,   2,   2,   1,   2, 
  2,   1,   7,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   2,   2,   1,   2,   1,   2,   2,   2,   1,   2,   1,   2, 
  2,   1,   1,   1,   1,   1,   1,   5,   2,   2,   2,   1,   2,   1,   2, 
  2,   2,   2,   2,   2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   7,   2,   2,   2,   2,   2,   2, 
  5,  14,  48,   9,   2,   2,   2,   2, 
  2,   3,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 4: ETHYLENE
 69,  84,  72,  89,  76,  69,  78,  69,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   1,   1,   2,   2,   2,   2,   2,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,   1,   2,   2,   2,   2,   2,   1,   2,   1,   2,   2, 
  2,   2,   1,   4,   1,   1,   1,   1,   1,   1,   1,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,   2,   1,   2,   2,   1,   2,   2, 
  2,   2,   1,   1,   2,   2,  20,   2,   1,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   1,   2,   2,   2,   2,   8,   1,  35,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   1,   2,   2,   2,   2,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   1,   2,   2,   2,   2,  10,   6,   1,   2,   2, 
  2,   2,   1,   2,   1,   1,   1,   1,   1,   1,   1,   2,   1,   2,   2, 
  2,   2,   1,   2,   1,   2,   2,   2,   2,   2,   1,   2,   1,   2,   2, 
  2,   2,   1,   1,   1,   2,   2,   2,   2,   2,   1,   1,   1,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  6,   2,   2,   8,   2,   2,   2,   2, 
  2,  35,  20,   2,   2,   2,   2,   2, 
  4,   2,   2,  10,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 5: PROPENE
 80,  82,  79,  80,  69,  78,  69,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2,   2,   2, 
  2,   2,   1,   8,   1,   2,   1,   2,   1,   2,   1,   2,   2,   2,   2, 
  2,   2,   1,   2,   1,   2,   1,   2,   1,   2,   1,   1,   1,   2,   2, 
  2,   1,   1,   3,   2,  20,   1,   7,   1,   2,   1,   2,   1,   2,   2, 
  2,   1,   7,   2,   5,   2,   2,   2,   1,  19,   1,   2,   1,   2,   2, 
  2,   1,   2,   1,   2,   2,   2,   2,   2,   2,   1,   2,   1,   2,   2, 
  2,   1,   2,   1,  14,   1,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   1,   2,   1,   2,   1,   2,   1,   2,   2,   2,   1,   1,   2,   2, 
  2,   1,   1,   1,   2,   1,  10,   1,   2,   1,   2,   1,   2,   2,   2, 
  2,   2,   2,   1,   2,   1,   2,   1,   2,   1,   2,   1,   2,   2,   2, 
  2,   2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   7,   7,   2,   8,   2,   2,   2, 
  5,  14,  19,  20,   2,   2,   2,   2, 
  2,   3,   2,   2,  10,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 6: ETHANOL
 69,  84,  72,  65,  78,  79,  76,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   1,   1,   1,   1,   1,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   1,   3,  14,   2,   1,   2,   2,   2, 
  2,   2,   2,   1,   1,   1,   1,   1,   2,   1,   2,   1,   2,   2,   2, 
  2,   2,   2,   1,   2,   2,   2,   2,   2,   2,   3,   1,   2,   2,   2, 
  2,   2,   2,   1,   1,   1,   7,   2,   2,   2,   1,   1,   2,   2,   2, 
  2,   2,   2,   2,   2,   1,   2,   1,   5,   1,   2,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   1,   1,   7,   2,   2,   2,   1,   2,   1,   2, 
  2,   2,   1,   1,   1,   1,   2,  14,   2,   2,   2,   2,   2,   1,   2, 
  2,   2,   1,   2,  48,   2,   2,   2,   2,   1,   2,   2,   2,   1,   2, 
  2,   2,   1,   1,   1,   1,   1,   2,   1,   2,   2,   1,   2,   1,   2, 
  2,   2,   2,   2,   2,   1,   2,   2,   2,   2,   1,   2,   9,   1,   2, 
  2,   2,   2,   2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   7,   7,   2,   2,   2,   2,   2, 
  5,  14,  14,  48,   9,   2,   2,   2, 
  2,   3,   3,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 7: ISOPROPANOL
 73,  83,  79,  80,  82,  79,  80,  65,  78,  79,  76,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   1,   1,   1,   2,   1,   1,   1,   2,   2,   2,   2, 
  2,   2,   2,   2,   1,   5,   1,   2,   1,   2,   1,   2,   2,   2,   2, 
  2,   2,   2,   2,   1,   3,   2,   1,   2,   2,   1,   2,   2,   2,   2, 
  2,   1,   1,   1,   1,   2,   2,   2,   2,   7,   1,   1,   1,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   1,   2, 
  2,   2,   1,   1,   2,   2,   2,   1,   2,   2,   2,   1,   1,   2,   2, 
  2,   1,   1,   2,  14,   2,  14,   2,   2,   2,   2,  40,   1,   1,   2, 
  2,   1,   2,   7,   2,   2,   2,   2,  14,   2,   2,   2,   2,   1,   2, 
  2,   1,   1,   1,   1,   7,   2,   2,   2,   3,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   1,   9,   2,   1,   2,   3,   1,   2,   2,   2,   2, 
  2,   2,   2,   2,   1,   2,   1,   1,   1,   2,   1,   2,   2,   2,   2, 
  2,   2,   2,   2,   1,   1,   1,   2,   1,   1,   1,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   7,   7,   7,   2,   2,   2,   2, 
  5,  14,  14,  14,   9,   2,   2,   2, 
  2,   3,  40,   3,   2,   2,   2,   2, 
  2,   2,   3,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 8: ETHANAL
 69,  84,  72,  65,  78,  65,  76,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   1,   1,   2,   2,   2,   1,   1,   2,   1,   2,   2, 
  2,   2,   1,   7,   2,   2,   2,   2,   2,  14,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   1,   1,   1,   2,   1,   1,   1,   2,   1,   2,   2, 
  2,   2,   1,   3,   2,   2,   2,   5,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,  19,   1,   1,   1,   7,   1,   1,   1,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   1,   1,   2,   2,   2,   1,   1,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,  49,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   7,   7,   2,   2,   2,   2,   2, 
  5,  14,  19,  49,   2,   2,   2,   2, 
  2,   3,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 9: ACETONE
 65,  67,  69,  84,  79,  78,  69,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   1,   1,   1,   1,   2,   2,   1,   1,   2,   2,   2,   2,   1,   2, 
  2,   1,   1,   2,   2,   2,   2,   2,   1,   2,   1,   2,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,  38,   1,   2,   1,   1,   1,   1,   2, 
  2,   1,   2,   1,  14,   1,   2,   3,   2,  29,   2,   2,   7,   1,   2, 
  2,   1,   2,   1,   3,   1,   1,   1,   2,   2,   5,   2,   2,   1,   2, 
  2,   1,   1,   1,   2,   2,   7,   2,   2,   2,   2,   1,   1,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   1,   1,   1,   2,   1,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,  14,   2,   1,   2,   1,   2,   1,   2, 
  2,   1,   1,   1,   1,   2,   1,   2,   2,   2,   2,   2,   9,   1,   2, 
  2,   1,   2,   2,   1,   2,   1,   2,   2,   2,   2,   2,   1,   1,   2, 
  2,   1,   2,   2,   2,   2,   1,   1,   2,   2,   1,   1,   1,   1,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   7,   2,   7,   2,   2,   2,   2, 
  5,  14,  29,  14,   9,   2,   2,   2, 
  2,   3,  38,   3,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 10: FORMIC ACID
 70,  79,  82,  77,  73,  67,  32,  65,  67,  73,  68,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   1,   1,   2,   2,   1,   1,   1,   2,   2,   1,   1,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   1,   1,   1,   2,   2,   2,   1,   1,   1,   2,   1,   2, 
  2,   1,   2,   1,  46,   2,   2,   1,   2,   2,   2,   1,   2,   1,   2, 
  2,   1,   5,  48,  28,   9,   1,   1,   1,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   1,   2,   2,   2,   1,   2,   2,   2,   1,   2,   1,   2, 
  2,   1,   2,   1,   1,   1,   2,   2,   2,   1,   1,   1,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   1,   1,   2,   2,   1,   1,   1,   2,   2,   1,   1,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,  46,   2,   2,   2,   2,   2,   2, 
  5,  28,  48,   9,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 11: ACETIC ACID
 65,  67,  69,  84,  73,  67,  32,  65,  67,  73,  68,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   1,   2,   2,   2,   1,   2,   1,   2,   2, 
  2,   2,   1,   2,  48,   2,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   1,   2,   2,   9,   1,   2,   5,   2,   1,   2,   2, 
  2,   2,   1,   3,   2,  14,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   1,   2,   2,   2,   1,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   1,   2,  28,   2,   1,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,  46,   2,   2,   2,   2,   2,   7,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   1,   2,   2,   2,   1,   2,   1,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   7,  46,   2,   2,   2,   2,   2, 
  5,  14,  28,  48,   9,   2,   2,   2, 
  2,   3,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 12: TRANS-BUTENE
 84,  82,  65,  78,  83,  45,  66,  85,  84,  69,  78,  69,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   2,   2,   1,   2,   2,  20,   1,   2,   2,   2,   1,   2, 
  2,   1,  35,   2,   1,   2,   8,   2,   2,   2,   1,   2,   2,   1,   2, 
  2,   1,   2,   1,   2,   1,   1,   2,   1,   1,   2,   1,   2,   1,   2, 
  2,   1,   2,   2,   4,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   1,   1,  10,   1,   1,   2,   1,   1,   2,   1,   1,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   1,   2,   1,   1,   6,   1,   1,   2,   1,   2,   1,   2, 
  2,   1,   2,   2,   1,  21,   6,   2,   2,   2,   1,   6,   2,   1,   2, 
  2,   1,   2,   2,   2,   1,   2,   2,  10,   1,   2,   2,   2,   1,   2, 
  2,   1,  21,   2,   2,  10,   2,   2,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   6,   2,   8,   2,   2, 
  2,   6,   2,   2,  21,   2,   2,   2, 
  6,   2,  35,  20,   2,  10,   2,   2, 
  2,  21,   2,   2,  10,   2,   2,   2, 
  4,   2,  10,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 13: CIS-BUTENE
 67,  73,  83,  45,  66,  85,  84,  69,  78,  69,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   1,   2,   1,   2,   2,   1,   1,   2,   2,   2,   1,   2,   1,   2, 
  2,   1,   1,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2,   1,   2, 
  2,   1,   1,   2,   2,   2,   2,   1,   2,   2,   1,   2,   2,   1,   2, 
  2,   1,   2,  10,   2,   2,   6,   1,   2,   4,   2,   2,   8,   1,   2, 
  2,   1,   1,   1,   2,   2,   2,   2,   1,   2,   1,   2,   2,   1,   2, 
  2,   1,   2,   2,   1,   2,   2,   2,   2,   2,   2,   1,   1,   1,   2, 
  2,   1,   2,  35,   2,   2,  21,   2,   1,  20,   2,   2,  21,   1,   2, 
  2,   1,   2,   1,   1,   2,   1,   1,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   1,   2,   2,   2,   2,   2,   2,   1,   2,   1,   2,   1,   2, 
  2,   1,   2,   8,   1,   1,  10,   2,   1,   4,   2,   1,   6,   1,   2, 
  2,   1,   2,   1,   2,   2,   2,   2,   1,   2,   1,   2,   2,   1,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   6,   2,   2,   8,   2,   2,   2, 
  6,   2,  35,  20,   2,   8,   2,   2, 
  2,  21,   2,   2,  21,   2,   2,   2, 
  4,   2,  10,   4,   2,  10,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 14: DIMETHYL ETHER
 68,  73,  77,  69,  84,  72,  89,  76,  32,  69,  84,  72,  69,  82,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   1,   2,   2,   2,  14,   2,   1,  48,   2,   2,   2,   5,   1,   2, 
  2,   1,   2,   1,   1,   1,   2,   1,   2,   1,   1,   1,   2,   1,   2, 
  2,   1,   2,   1,   2,   2,   3,   1,   2,   2,   2,   1,   2,   1,   2, 
  2,   1,   2,   1,   2,   2,   2,   1,   2,   2,   2,   1,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   1,   1,   1,   7,   2,   2,   2,   2,   1,   1,   1,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   1,   2,   2,   2,   1,   2,   2,   2,   1,   2,   1,   2, 
  2,   1,   2,   1,   2,   2,   9,   1,   2,   2,   3,   1,   2,   1,   2, 
  2,   1,   2,   1,   1,   1,   2,   1,   2,   1,   1,   1,   7,   1,   2, 
  2,   1,   2,   2,   2,   2,  14,   1,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   7,   2,   7,   2,   2,   2,   2, 
  5,  14,  48,  14,   9,   2,   2,   2, 
  2,   3,   2,   3,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 15: BUTANOL
 66,  85,  84,  65,  78,  79,  76,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   1,   2,   2,   3,   7,   2,   2,   2,   2,   2,  14,   2,   1,   2, 
  2,   1,   2,   1,   2,   2,   1,   1,   1,   1,   2,   1,   1,   1,   2, 
  2,   1,   1,   1,   7,   2,   2,   2,   1,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   9,   2,   2,   1,   2,   2,   2,   2,   2,   3,   1,   2, 
  2,   1,   2,   1,   1,   2,   1,   2,   1,   1,   2,   3,   2,   1,   2, 
  2,   1,   2,   1,   2,   2,   1,   2,   2,   1,   2,   1,   1,   1,   2, 
  2,   1,   1,   1,   2,  14,   1,   2,  40,   2,  14,   1,   2,   1,   2, 
  2,   1,   5,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   3,   2,   2,   2,   1,   2,   2,   7,   2,   2,   2,   1,   2, 
  2,   1,   2,   2,   1,   1,   1,   7,   1,   1,   2,   1,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   1,   2,  14,   2,   2,   1,   2,   1,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   7,   7,   7,   7,   2,   2,   2, 
  5,  14,  14,  14,  14,   9,   2,   2, 
  2,   3,   3,   3,  40,   2,   2,   2, 
  2,   2,   2,   2,   3,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 16: 2-METHYL-2-PROPANOL
 50,  45,  77,  69,  84,  72,  89,  76,  45,  50,  45,  80,  82,  79,  80,  65,  78,  79,  76,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   1,   1,   1,   1,   1,   2,   2,   2,   1,   1,   1,   1,   1,   2, 
  2,   1,   9,   2,  11,   1,   2,   2,   2,   1,   3,   2,   6,   1,   2, 
  2,   1,   8,   1,   2,   1,   1,   1,   1,   1,   2,   1,   2,   1,   2, 
  2,   1,   3,   2,   2,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   1,   1,   2,   1,   2,   2,   7,   1,   2,   1,   1,   1,   2, 
  2,   2,   2,   1,   2,   2,   2,   2,   2,   3,  14,   1,   2,   2,   2, 
  2,   2,   2,   1,   1,   2,   2,   2,   2,   2,   1,   1,   2,   2,   2, 
  2,   2,   2,   1,  14,   2,   2,   2,   2,   2,   7,   1,   2,   2,   2, 
  2,   1,   1,   1,   2,   1,   2,   2,   2,   1,   2,   1,   1,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   1,   2,   7,   2,   2,   5,   1,   2, 
  2,   1,   2,   1,  40,   1,   1,   1,   1,   1,   2,   1,   2,   1,   2, 
  2,   1,  14,   2,   2,   1,   2,   2,   2,   1,   2,   2,   2,   1,   2, 
  2,   1,   1,   1,   1,   1,   2,   2,   2,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   6,   7,   8,   2,   2,   2,   2, 
  2,   7,  11,   7,   2,   2,   2,   2, 
  5,  14,  14,  14,   9,   2,   2,   2, 
  2,   3,  40,   3,   2,   2,   2,   2, 
  2,   2,   3,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 17: GLYCERIN
 71,  76,  89,  67,  69,  82,  73,  78,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,   1,   2,   3,   1,  14,   2,   1,   2,   1,   2,   2, 
  2,   2,   1,   2,  48,   1,   2,   1,   2,   1,   2,   2,   1,   2,   2, 
  2,   2,   1,   1,   2,   2,  14,   2,   2,   2,   2,   1,   1,   2,   2, 
  2,   2,   1,   2,   1,   2,   2,   2,   2,   2,   1,   2,   1,   2,   2, 
  2,   2,   1,   2,   9,   2,   2,   2,   2,   5,   2,   2,   1,   2,   2, 
  2,   2,   1,   1,   1,   1,  48,   2,   2,   1,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   5,  48,   2,   5,   2,   1,   2,   2, 
  2,   2,   1,   2,   1,   2,   2,   2,   2,  14,   1,   2,   1,   2,   2, 
  2,   2,   1,   1,   2,   2,   2,   2,   2,   9,   2,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   1,   2,   1,   2,   1,   2,   7,   1,   2,   2, 
  2,   2,   1,   2,   1,   2,   9,   1,   2,   2,   1,   2,   1,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   7,   2,   2,   2,   2,   2,   2, 
  5,  14,  48,   9,   2,   2,   2,   2, 
  5,  14,  48,   9,   2,   2,   2,   2, 
  5,  14,  48,   9,   2,   2,   2,   2, 
  2,   3,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 18: FORMALDEHYDE
 70,  79,  82,  77,  65,  76,  68,  69,  72,  89,  68,  69,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   1,  49,   2,   2,   2,   2,   1,   2,   2,   2,   2,  16,   1,   2, 
  2,   1,   2,   2,   1,   1,   2,   1,   2,   1,   1,   2,   2,   1,   2, 
  2,   1,   1,   2,   1,   2,   2,   2,   2,   2,   1,   2,   1,   1,   2, 
  2,   1,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2,   2,   1,   2, 
  2,   1,   2,   1,   1,   2,   2,   1,   2,   2,   1,   1,   1,   1,   2, 
  2,   1,   2,   2,   2,   2,   1,   1,   1,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   1,   1,   2,   2,   1,   2,   2,   1,   1,   2,   1,   2, 
  2,   1,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2,   2,   1,   2, 
  2,   1,   1,   2,   1,   2,   2,   2,   2,   2,   1,   2,   1,   1,   2, 
  2,   1,   2,   2,   1,   1,   2,   1,   2,   1,   1,   2,   2,   1,   2, 
  2,   1,   3,   2,   2,   2,   2,   1,   2,   2,   2,   2,   7,   1,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  7,   2,   2,   2,   2,   2,   2,   2, 
 16,  49,   2,   2,   2,   2,   2,   2, 
  3,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 19: ACETIC ACID ETHYL ESTER
 65,  67,  69,  84,  73,  67,  32,  65,  67,  73,  68,  32,  69,  84,  72,  89,  76,  32,  69,  83,  84,  69,  82,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   1,   2,   2,   1,   1,   2,   1,   2,   1,   1,   2,   2,   1,   2, 
  2,   1,   2,   2,   2,   1,   2,   3,   2,   1,   2,   2,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,  14,   2,   2,   2,  14,   2,  14,   1,   2, 
  2,   1,   1,   2,   2,   1,   2,   2,   2,   1,   2,   2,   1,   1,   2, 
  2,   1,  48,   2,   1,   1,  28,   2,   2,   1,   1,   2,   2,   1,   2, 
  2,   1,   9,   2,   2,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   2,   1,   1,   2,   2,   2,   1,   1,   2,   2,   1,   2, 
  2,   1,   1,   2,   2,   1,   7,   7,   2,   1,   3,   2,   1,   1,   2, 
  2,   1,   2,   2,   2,   7,   2,   2,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   2,  46,   1,   2,   2,   5,   1,   2,   2,   2,   1,   2, 
  2,   1,   2,   3,   1,   1,   2,   1,   2,   1,   1,   2,   2,   1,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   7,  46,   2,   7,   7,   2,   2, 
  5,  14,  28,  48,  14,  14,   9,   2, 
  2,   3,   2,   2,   3,   3,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 20: AMMONIA
 65,  77,  77,  79,  78,  73,  65,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   1,   1,   2,   2,   8,   1,   2,   2,   1,   2,   2,   1,   1,   2, 
  2,   1,   2,   2,   2,   1,   2,   2,   1,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2,   2,   1,   2, 
  2,   1,   5,   1,   2,   1,   2,   2,   2,   1,   2,   2,   1,   1,   2, 
  2,   1,   1,   2,   2,   2,   1,   2,   2,   2,   2,   1,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,  58,   2,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   1,   2,   2,   2,   2,   1,   2,   2,  10,   1,   1,   2, 
  2,   1,   1,   2,   2,   1,   2,   2,   2,   1,   2,   1,   2,   1,   2, 
  2,   1,   2,   2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   1,   2,   2,   1,   2,   2,   2,   1,   2, 
  2,   1,   1,   2,   2,   1,   2,   2,   1,   2,   2,   2,   1,   1,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   8,   2,   2,   2,   2,   2, 
  5,  58,   2,   2,   2,   2,   2,   2, 
  2,   2,  10,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 21: 3-METHYL-PENTANE
 51,  45,  77,  69,  84,  72,  89,  76,  45,  80,  69,  78,  84,  65,  78,  69,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1, 
  1,   2,   7,   2,   6,   2,   2,   1,   2,   2,  14,   2,   2,   3,   1, 
  1,   7,   2,   1,   2,   2,   2,   1,   2,   2,   2,   1,   2,   2,   1, 
  1,   2,   1,   1,   1,   2,   5,   7,   2,   2,   1,   1,   1,   2,   1, 
  1,   2,  14,   1,   2,   2,   2,   2,   3,   2,   2,   1,   2,   2,   1, 
  1,   2,   2,   2,   2,   2,   2,   2,  14,   2,   2,   2,   2,   2,   1, 
  1,   1,   1,   2,   7,   2,   2,   3,   2,   2,   2,   2,   1,   1,   1, 
  1,   2,   2,   2,   2,  14,   2,   2,   2,   2,   2,   2,   2,   8,   1, 
  1,   9,   2,   1,   2,   2,   2,   2,   2,   2,   2,   1,   2,  11,   1, 
  1,   2,   1,   1,   1,   2,   2,   2,   2,   7,   1,   1,   1,   2,   1, 
  1,   2,   2,   1,   3,   2,   2,   1,   3,   2,   2,   1,   2,   2,   1, 
  1,   2,   2,   2,   2,   2,  14,   1,   2,   2,   2,   2,   2,   2,   1, 
  1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   6,   7,   8,   2,   2,   2, 
  2,   7,   7,  11,   7,   7,   2,   2, 
  5,  14,  14,  14,  14,  14,   9,   2, 
  2,   3,   3,   3,   3,   3,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 22: PROPANAL
 80,  82,  79,  80,  65,  78,  65,  76,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,   7,   1,   2,  29,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   1,   1,   3,   2,   2,   1,   1,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,  14,   2,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   1,   1,   1,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   1,   2,   2,   2,   2,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   1,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   1,   1,   1,   2,   2,   1,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   9,   7,   2,   2,   2,   2,   2,   1,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   1,   2,  14,   5,   2,   1,   2,   1,   2,   2, 
  2,   2,   1,  38,   1,   1,   2,   2,   1,   2,   1,   3,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,   1,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   7,   7,   2,   2,   2,   2,   2, 
  5,  14,  14,  29,   9,   2,   2,   2, 
  2,   3,   3,  38,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 23: PYRAN
 80,  89,  82,  65,  78,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,   1,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   2,   2,  15,   2,   2,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   1,   2,   1,   1,   2,   2,   1,   8,   2,   2,   2,   1,   2, 
  2,   2,   1,   2,  42,   7,   2,  22,   1,   1,   1,   1,   2,   1,   2, 
  2,   2,   1,   1,   1,   2,   2,   2,   1,   2,   2,   2,   2,   1,   2, 
  2,   1,   1,   2,   1,   1,   2,   2,   1,   2,  33,   2,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   1,   7,   2,   1,   2,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   1,   3,   2,   1,   2, 
  2,   1,   2,  18,  10,   1,   3,   2,   1,   2,   1,   1,   2,   1,   2, 
  2,   1,   1,   1,   1,   1,   2,   2,   1,   2,   2,   2,   2,   1,   2, 
  2,   2,   2,   2,   1,   2,   2,   2,   1,  21,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   1,   1,   1,   1,   1,   1,   1,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   7,   7,   2,   2,   2,   2,   2, 
  2,  18,  15,   2,   8,   2,   2,   2, 
 42,   2,   2,  21,   2,   2,   2,   2, 
  2,  33,  22,   2,  10,   2,   2,   2, 
  2,   3,   3,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 24: ETHYLENE-GLYCOL
 69,  84,  72,  89,  76,  69,  78,  69,  45,  71,  76,  89,  67,  79,  76,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   1,   2,   2,   2,   2,  44,   1,   2,   2,   1,   2, 
  2,   2,   2,   2,   1,   2,   1,   2,   2,   2,   1,   2,   2,   1,   2, 
  2,   2,   2,   2,   1,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   1,   1,   1,   2,   2,   2,   1,   2,   2,   2,   1,   1,   2, 
  2,   1,   2,   2,  21,   1,   2,   2,  21,   1,   2,   2,   2,   1,   2, 
  2,   1,   2,   2,   2,   6,   1,   4,   2,   2,   1,   2,   1,   1,   2, 
  2,   1,   2,   2,   1,   2,   2,   1,   2,   8,   1,   2,   1,   2,   2, 
  2,   1,   1,   4,   1,   1,   2,   2,   1,   2,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,  44,   2,   2,   2,   1,   2,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   1,   2,  10,   2,   1,   2,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   2,   8,   2,   1,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   1,   1,   1,   1,   1,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   6,   2,   8,   2,   8,   2,   2, 
  2,   2,  21,   2,  44,   2,   2,   2, 
  2,  44,   2,  21,   2,   2,   2,   2, 
  4,   2,   4,   2,  10,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 25: CYANOGUANIDINE
 67,  89,  65,  78,  79,  71,  85,  65,  78,  73,  68,  73,  78,  69,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,   1,   2,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,  36,   1,   1,   1,  65,  63,   1,   1,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   4,   2,   1,   2,   2,  64,   2,   1,   2,   2, 
  2,   2,   1,   1,   1,   1,   2,   2,   2,   2,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,  54,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   7,   2,   2,   1,   3,   1,   1,   1,   6,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,   2,  29,   2,   2,   1,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  6,   2,   2,   7,   2,   2,   2,   2, 
  2,  63,  29,  54,  36,   2,   2,   2, 
  4,   2,  65,   2,  64,   2,   2,   2, 
  2,   2,   3,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 26: STYRENE
 83,  84,  89,  82,  69,  78,  69,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,   2,   2,   1,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,  25,   1,   1,   1,   2,  32,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   6,   8,   1,   2,   1,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   4,  10,   2,   8,   1,   5,   1,   2,   2, 
  2,   2,   1,   2,   2,  15,   2,  35,   2,   1,   1,   2,   1,   2,   2, 
  2,   2,   1,   2,   1,   1,   4,   1,   1,   2,  37,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   1,  20,   1,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   1,  18,   1,   2,   1,   2,   9,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,   2,   1,   2,  23,   1,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  6,   2,   2,   8,   2,   2,   2,   2, 
  2,  35,  20,   2,   2,   8,   2,   2, 
  4,   2,   2,  37,  23,   2,   2,   2, 
  2,   2,   5,  32,  25,   9,   2,   2, 
  2,   2,   2,  18,  15,   2,   2,   2, 
  2,   2,   4,   2,   2,  10,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 27: MELAMINE
 77,  69,  76,  65,  77,  73,  78,  69,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   1,   1,   1,   1,   2,   2,   2,   2,   2,   1,   1,   1,   1,   2, 
  2,   1,   2,   2,   1,   1,   1,   1,   1,   1,   1,  54,   2,   1,   2, 
  2,   1,  55,   2,   2,   2,   2,   1,   2,   2,   2,   2,   4,   1,   2, 
  2,   1,   1,   2,   1,   2,  29,   1,   2,   2,   1,   2,   1,   1,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   7,   2,   2,   7,   2,   1,   2,   2, 
  2,   2,   1,   1,   1,   2,   5,  54,   9,   2,   1,   1,   1,   2,   2, 
  2,   2,   1,  67,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,  29,   2,   2,   2,  66,   1,   2,   2, 
  2,   1,   1,   2,   1,   2,   2,   1,  61,   2,   1,   2,   1,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   1,  14,   2,   2,   2,   2,   1,   2, 
  2,   1,  10,   2,   1,   1,   1,   1,   1,   1,   1,   2,   2,   1,   2, 
  2,   1,   1,   1,   1,   2,   2,   2,   2,   2,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   7,   2,   2,   2,   7,   2,   2, 
  5,  54,  29,  67,  29,  54,   9,   2, 
  2,   2,  61,  14,  66,   2,   2,   2, 
  2,   2,   2,  55,   2,   2,   2,   2, 
  2,   2,   4,   2,  10,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 28: CYCLOBUTANE
 67,  89,  67,  76,  79,  66,  85,  84,  65,  78,  69,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2,   2,   2,   2, 
  2,   2,   1,   2,   2,   2,   5,   2,   2,   1,   1,   2,   2,   2,   2, 
  2,   2,   1,   1,   9,   2,   1,   1,   2,   3,   1,   1,   1,   2,   2, 
  2,   2,   2,   1,   1,   2,  14,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   2,   2,   1,   2,   1,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   2,   1,   1,   5,   1,   1,   2,   2,   1,  14,   1,   2,   2, 
  2,   2,   2,   1,   2,   2,   2,   9,   1,   7,   1,   1,   1,   2,   2, 
  2,   2,   2,   1,   2,   2,   2,   2,   2,   2,   1,   2,   1,   2,   2, 
  2,   2,   2,   1,  14,   2,   2,   2,  14,   2,   2,   7,   1,   2,   2, 
  2,   2,   2,   1,   3,   2,   1,   2,   1,   1,   1,   2,   1,   2,   2, 
  2,   2,   2,   1,   1,   1,   1,   1,   1,   2,   1,   1,   1,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   7,   7,   2,   2,   2,   2,   2, 
  5,  14,  14,   9,   2,   2,   2,   2, 
  5,  14,  14,   9,   2,   2,   2,   2, 
  2,   3,   3,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 29: ACETYLE SALICYLIC ACID
 65,  67,  69,  84,  89,  76,  69,  32,  83,  65,  76,  73,  67,  89,  76,  73,  67,  32,  65,  67,  73,  68,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   1,   1,   1,   1,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,  32,   2,   2,   1,   2, 
  2,   1,   2,   1,   2,   2,  27,   2,   2,   1,   2,   2,   1,   1,   2, 
  2,   1,   2,   2,   1,  41,   1,   2,  14,   2,   1,   5,   2,   1,   2, 
  2,   1,  40,   2,   2,   2,  12,   2,   2,   9,   2,   2,   2,   1,   2, 
  2,   1,   1,   1,  17,   1,   2,   1,   2,   1,   9,  48,   2,   1,   2, 
  2,   2,   2,   1,   2,  15,   1,   2,   5,   2,   1,  25,   2,   1,   2, 
  2,   2,   2,   1,   1,  23,   2,   2,  10,   2,   9,   1,   1,   1,   2, 
  2,   2,   2,   1,   2,   1,   2,   1,   2,   7,  46,   1,   2,   2,   2, 
  2,   2,   1,   1,   2,   2,   2,   4,   1,   2,   2,   1,   2,   2,   2, 
  2,   2,   1,   2,   2,  18,   1,   2,   2,   1,   1,   1,   2,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   7,   2,   2,   2,   2,   2,   2, 
  5,  14,   9,   2,   2,   2,   2,   2, 
 41,  17,   2,  46,   2,   2,   2,   2, 
  2,  40,   2,  27,  48,   9,   2,   2, 
  2,  12,  23,   2,   2,   2,   2,   2, 
  5,  32,  25,   9,   2,   2,   2,   2, 
  2,  18,  15,   2,   2,   2,   2,   2, 
  4,   2,   2,  10,   2,   2,   2,   2, 

// LEVEL 30: META-DI-NITRO-BENZENE
 77,  69,  84,  65,  45,  68,  73,  45,  78,  73,  84,  82,  79,  45,  66,  69,  78,  90,  69,  78,  69,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   1,   1,   1,   1,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   1,   2,   2,   1,   1,   1,   1,   2,   2,   2,   2,   2, 
  2,   2,   2,   1,  69,   6,   2,   2,  49,   1,   2,   2,   2,   2,   2, 
  2,   2,   2,   1,   2,   1,   2,   2,  13,   1,   2,   2,   2,   2,   2, 
  2,   2,   1,   1,  23,   2,   2,   2,   1,   1,   2,   2,   2,   2,   2, 
  2,   2,   1,   2,   1,   2,   2,   2,   2,   1,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,  31,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   7,   2,   2,   1,   1,   2,  18,   8,   2,   1,   1,   2, 
  2,   2,   1,  33,   1,   2,   2,  26,   2,   1,   2,   2,   2,   1,   2, 
  2,   2,   1,   2,   1,  41,   2,   2,   2,   1,   2,   2,   2,   1,   2, 
  2,   2,   1,   2,   2,   2,   2,  57,   2,   3,   2,   1,   2,   1,   2, 
  2,   2,   1,   1,   1,   1,   2,   1,   2,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   1,   1,   1,   1,   1,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   6,   2,   7,   2,   8,   2,   2, 
  2,   2,  33,  13,  23,   2,   2,   2, 
  2,   2,  18,  26,  31,   2,   2,   2, 
 41,  57,   2,   3,   2,  69,  49,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 31: MALONIC ACID
 77,  65,  76,  79,  78,  73,  67,  32,  65,  67,  73,  68,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2,   2,   2, 
  2,   2,   1,   2,   1,  50,   2,   2,   2,   2,   1,   2,   2,   2,   2, 
  2,   2,   1,   2,   1,   2,   2,   2,  14,   2,   1,   2,   2,   2,   2, 
  2,   2,   1,   2,   2,  46,   2,   1,   1,   7,   1,   2,   2,   2,   2, 
  2,   2,   1,   2,   2,  38,   2,   2,   1,   3,   1,   2,   2,   2,   2, 
  2,   2,   1,   2,   2,   1,   2,   5,   9,   2,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   1,   1,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,  37,  52,   2,  31,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   1,   1,   2,   2,   1,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  5,  50,   2,   7,  46,   2,   2,   2, 
  2,   2,  37,  14,  31,   2,   2,   2, 
  2,   2,  38,   3,   2,  52,   9,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 32: ETHYL-BENZENE
 69,  84,  72,  89,  76,  45,  66,  69,  78,  90,  69,  78,  69,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   6,   7,   8,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,  11,   2,   2,   2,   2,   2,   2,  26,   1,   2,   2, 
  2,   2,   1,   1,   3,   2,  31,   1,   2,   2,   2,   1,   1,   2,   2, 
  2,   2,   1,   2,   1,   2,   1,  13,   2,   2,   2,  33,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,   2,   2,   2,  18,   1,   2,   2, 
  2,   2,   1,   2,   2,   6,   1,   1,   2,   2,   2,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   4,   2,   1,   2,   8,   2,   2,   1,   2,   2, 
  2,   2,   1,   1,   1,   2,   2,  23,   1,  10,   2,   2,   1,   2,   2, 
  2,   2,   2,   2,   1,   2,   2,   2,   1,   1,   2,   2,   1,   2,   2, 
  2,   2,   2,   2,   1,   2,   1,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   2,   2,   1,   2,   1,   2,   6,  11,   8,   2,   1,   2,   2, 
  2,   2,   2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   6,   7,   8,   2,   2,   2,   2, 
  2,   6,  11,   8,   2,   2,   2,   2, 
  6,   2,  11,   2,   8,   2,   2,   2, 
  2,  33,  13,  23,   2,   2,   2,   2, 
  2,  18,  26,  31,   2,   2,   2,   2, 
  4,   2,   3,   2,  10,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 33: 1,3,5,7-CYCLOOCTATETRAENE
 49,  44,  51,  44,  53,  44,  55,  45,  67,  89,  67,  76,  79,  79,  67,  84,  65,  84,  69,  84,  82,  65,  69,  78,  69,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2,   1,   1,   1,   2, 
  2,   1,   6,   2,   2,   2,   2,   6,   1,   1,   1,   1,  35,   1,   2, 
  2,   1,   2,   2,   1,  35,   2,   1,  30,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   2,   1,   1,   2,   1,   1,   2,   2,   2,  30,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   1,   2, 
  2,   1,   2,   1,  24,   2,   2,   1,  24,   2,   1,   8,   1,   2,   2, 
  2,   1,   2,   1,   1,   2,   2,   1,   1,   2,   1,   1,   1,   2,   2, 
  2,   1,   8,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   1,   2, 
  2,   1,   1,   2,   1,  10,   2,   1,  10,   2,   2,   2,  20,   1,   2, 
  2,   2,   1,   2,   1,   1,   2,   1,   1,  20,   1,   4,   2,   1,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,   2,   2,   1,   1,   2,   1,   2, 
  2,   2,   1,   4,   2,   1,   1,   1,   2,   2,   2,   2,   2,   1,   2, 
  2,   2,   1,   1,   1,   1,   2,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   6,   2,   2,   8,   2,   2,   2, 
  6,   2,  35,  20,   2,   8,   2,   2, 
  2,  24,   2,   2,  24,   2,   2,   2, 
  2,  30,   2,   2,  30,   2,   2,   2, 
  4,   2,  35,  20,   2,  10,   2,   2, 
  2,   4,   2,   2,  10,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 34: VANILLIN
 86,  65,  78,  73,  76,  76,  73,  78,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   1,   1,   1,   1,   1,   1,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   6,   2,   1,   2, 
  2,   1,  44,   2,   2,   2,   2,   2,  21,   1,   1,   8,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,  23,   2,   4,   2,   2,  10,   1,   2, 
  2,   1,   2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   1,   2,   2,   2,   1,   2,   2,  13,   7,   2,   1,   1,   2, 
  2,   1,  33,   2,   2,   2,  31,   1,  46,   1,   5,   2,  18,   1,   2, 
  2,   1,   1,   2,   1,   2,   2,   2,   1,  26,   2,   2,  31,   1,   2, 
  2,   1,   2,   2,   1,   2,   2,   1,  51,   1,   2,   2,   1,   2,   2, 
  2,   1,   2,   3,   1,   2,   1,  10,   2,   2,   1,   2,   1,   2,   2, 
  2,   1,   1,   1,   1,   2,   2,   2,   1,   2,   2,   2,   1,   2,   2, 
  2,   2,   2,   2,   1,   2,   2,   2,   1,   2,   2,   2,   1,   2,   2, 
  2,   2,   2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   6,   2,   8, 
  2,  46,   2,   2,   2,   2,  21,   2, 
  5,  31,   2,   7,   2,  44,   2,  10, 
  2,   2,  33,  13,  23,   2,   2,   2, 
  2,   2,  18,  26,  31,   2,   2,   2, 
  2,   4,   2,   3,   2,  51,   2,   2, 
  2,   2,   2,   2,   2,   2,  10,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 35: URIC ACID
 85,  82,  73,  67,  32,  65,  67,  73,  68,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2,   2, 
  2,   1,   2,   1,   2,   1,   2,   1,   2,   2,   2,   1,   2,   2,   2, 
  2,   1,   2,   2,   2,   1,   2,   1,   2,   2,   2,   1,   2,   2,   2, 
  2,   1,   2,  62,  32,   2,  12,   1,   2,   2,  46,   1,   2,   2,   2, 
  2,   1,   1,   1,   2,   2,   2,   1,   2,   1,   1,   1,   1,   1,   2, 
  2,   1,   2,  17,   2,   2,   2,   2,  60,   1,  31,   2,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   3,  49,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   2,  41,   1,   2,   8,   2,   2,   2,   2,  53,   1,   2, 
  2,   1,   1,   1,   1,   1,   6,   1,   2,   2,   2,   1,   1,   1,   2, 
  2,   2,   2,   1,   2,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2, 
  2,   2,   2,   1,   2,   2,   2,   1,   2,   1,   2,   2,   2,   1,   2, 
  2,   2,   2,   1,   2,   2,   4,   1,  35,   1,  58,   1,   2,   1,   2, 
  2,   2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  6,   2,  46,   2,   2,   2,   2,   2, 
  2,  62,  32,   2,   8,   2,   2,   2, 
 41,  17,  12,  58,   2,   2,   2,   2, 
  2,  53,  31,   2,  35,  49,   2,   2, 
  4,   2,   2,  60,   2,   2,   2,   2, 
  2,   2,   2,   3,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 36: CARBONIC ACID
 67,  65,  82,  66,  79,  78,  73,  67,  32,  65,  67,  73,  68,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2,   2, 
  2,   2,   1,   2,   2,   2,   1,   2,   7,   2,   2,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   1,   2,   1,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,  39,   2,   1,   1,   2,   1,   1,   2,   2,   1,   2,   2, 
  2,   2,   1,   1,   2,  49,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   1,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   1,   1,   2,   1,   1,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   1,  35,   1,   2,   2,   1,   2,   2, 
  2,   2,   1,   1,   1,   2,   2,   2,  43,   1,   2,   2,   1,   2,   2, 
  2,   2,   2,   2,   1,   2,   2,   2,   2,   3,   2,   2,   1,   2,   2, 
  2,   2,   2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  7,   2,   2,   2,   2,   2,   2,   2, 
 39,   2,   2,   2,   2,   2,   2,   2, 
  2,  35,  49,   2,   2,   2,   2,   2, 
 43,   2,   2,   2,   2,   2,   2,   2, 
  3,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 37: ACRYLO-NITRIL
 65,  67,  82,  89,  76,  79,  45,  78,  73,  84,  82,  73,  76,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   2,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   6,   1,   2,   1,  34,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   1,   1,   1,   1,   1,  68,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   1,   2,  24,   2,   1,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   1,   2,   2,   2,   1,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   1,   2,   2,   1,   1,   1,   2,   2,   1,   1,   2,   2, 
  2,   2,   2,   1,   2,   2,   2,  30,   2,   2,   2,   1,   2,   2,   2, 
  2,   2,   2,   1,   2,   4,   2,   1,   2,  10,   2,   1,   2,   2,   2, 
  2,   2,   2,   1,   2,   1,   2,   1,   2,   1,   2,   1,   2,   2,   2, 
  2,   2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  6,   2,  34,  68,   2,   2,   2,   2, 
  2,  24,   2,   2,   2,   2,   2,   2, 
  2,  30,   2,   2,   2,   2,   2,   2, 
  4,   2,  10,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 38: L-LACTIC ACID
 76,  45,  76,  65,  67,  84,  73,  67,  32,  65,  67,  73,  68,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   1,   6,   2,   1,   2,   2,   2,   2,   2,   2,   2,  21,   1,   2, 
  2,   1,   2,   2,   1,  51,   2,   2,   1,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   1,   2,   2,   2,   1,   1,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   1,   2,   2,   2,  21,   2,   1,   2, 
  2,   1,   2,   1,   2,   2,  27,   1,  46,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   2,   1,   1,   1,   1,   1,   1,   1,   2,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   9,   1,  48,   2,   2,   1,   2,   1,   2, 
  2,   1,   2,   6,   2,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   1,   1,   2,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   1,   2,   2,  10,   1,   2,   2,   1,   2, 
  2,   1,   4,   2,   2,   2,   2,   2,   2,   2,   1,   2,  10,   1,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  6,   2,   2,  46,   2,   2,   2,   2, 
  2,  51,   2,  27,  48,   9,   2,   2, 
  6,   2,  21,   2,   2,   2,   2,   2, 
  2,  21,   2,  10,   2,   2,   2,   2, 
  4,   2,  10,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 39: MALEIC ACID
 77,  65,  76,  69,  73,  67,  32,  65,  67,  73,  68,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   1,   8,   2,   2,   2,  30,   1,  39,   2,   2,   2,  24,   1,   2, 
  2,   1,   2,   1,   2,   2,   1,   1,   1,   2,   2,   1,   2,   1,   2, 
  2,   1,   1,   8,   2,   2,   2,   1,   2,   2,   2,  10,   1,   1,   2, 
  2,   2,   1,   2,   2,   1,  41,   1,  15,   1,   2,   2,   1,   2,   2, 
  2,   2,   1,   1,   2,   2,   1,   1,   1,   2,   2,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   1,   2,   2,   2,   2,   1,   2,   2, 
  2,   1,   1,  41,   2,   2,   2,   1,   2,   2,   2,  43,   1,   1,   2, 
  2,   1,   2,   1,   2,   2,   2,   2,   2,   2,   2,   1,   2,   1,   2, 
  2,   1,  22,   2,   2,   2,   2,   2,   2,   2,   2,   2,  10,   1,   2, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   8,   2,   2,   2,   2,   2, 
  2,  43,   2,   2,   2,   2,   2,   2, 
 41,  15,   2,   8,   2,   2,   2,   2, 
  2,   2,  24,   2,   2,   2,   2,   2, 
  2,   2,  30,   2,   2,   2,   2,   2, 
 41,  22,   2,  10,   2,   2,   2,   2, 
  2,  39,   2,   2,   2,   2,   2,   2, 
  2,   2,  10,   2,   2,   2,   2,   2, 

// LEVEL 40: MESO-TARTARIC ACID
 77,  69,  83,  79,  45,  84,  65,  82,  84,  65,  82,  73,  67,  32,  65,  67,  73,  68,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   1,   1,   1,   2,   2,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,  50,   1,   1,   1,   1,   2, 
  2,   2,   1,   2,  37,   2,   2,   2,   2,   7,   2,   2,   2,   1,   2, 
  2,   1,   1,   2,  52,   1,   2,   2,   2,   2,   2,   1,   2,   1,   2, 
  2,   1,   2,   2,   1,  46,   1,   2,   2,   2,   1,  40,   2,   1,   2, 
  2,   1,   2,   1,   2,   2,   2,   1,   2,   1,   2,   7,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2,   1,   2, 
  2,   1,   3,  40,   1,  14,   1,   2,   2,   2,   1,   2,   2,   1,   2, 
  2,   1,   2,   1,   2,   2,  14,   1,   2,   1,   9,  38,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   1,   2,   2,   2,   1,   3,   2,   1,   2, 
  2,   1,   1,   1,   2,   2,   2,   2,   2,   2,   2,   1,   2,   1,   2, 
  2,   2,   2,   1,   2,   2,  31,   2,   2,   2,   2,   2,   2,   1,   2, 
  2,   2,   2,   1,   1,   1,   1,   5,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   2,   2,   2,   2,   1,   1,   1,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   7,   2,   2,   2, 
  5,  50,   2,   7,  40,  46,   2,   2, 
  2,   2,  37,  14,  14,  31,   2,   2, 
  2,   2,  38,  40,   3,   2,  52,   9, 
  2,   2,   2,   3,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 41: FORMIC ACID ETHYL ESTER
 70,  79,  82,  77,  73,  67,  32,  65,  67,  73,  68,  32,  69,  84,  72,  89,  76,  32,  69,  83,  84,  69,  82,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  2,   2,   1,   1,   1,   1,   2,   2,   2,   2,   2,  23,   2,   1,   2, 
  2,   2,   1,   2,   2,   1,   2,   2,   1,   1,   1,   2,  21,   1,   2, 
  2,   2,   1,   2,   6,   2,   2,   2,   2,   2,   2,   2,   1,   1,   2, 
  2,   1,   1,   2,   1,   1,   1,   5,   2,   1,   2,   2,   2,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,  21,   1,   2, 
  2,   1,   2,   2,   2,   2,   2,   2,   2,   6,   2,   2,   2,   1,   2, 
  2,   1,   8,   1,   2,   1,   2,   1,   1,   1,   2,   2,   2,   1,   2, 
  2,   1,   1,   1,   2,   2,   2,   2,   2,   2,   2,   2,   1,   1,   2, 
  2,   2,   2,   1,   2,   2,   2,   2,   2,  10,   1,  38,   1,   2,   2, 
  2,   2,   2,   1,  10,   1,   1,   1,   2,   1,   1,   1,   1,   2,   2, 
  2,   2,   2,   1,   2,  44,   2,   2,   2,   1,   2,   2,   2,   2,   2, 
  2,   2,   2,   1,   1,   1,   1,   1,   1,   1,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   6,   2,   8,   2,   2, 
  2,   2,   6,   2,  21,   2,   2,   2, 
  2,   2,   2,  21,   2,  10,   2,   2, 
  2,   2,  44,   2,  10,   2,   2,   2, 
  5,  23,   2,   2,   2,   2,   2,   2, 
  2,  38,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 42: 1,4-CYCLOHEXADIENE
 49,  44,  52,  45,  67,  89,  67,  76,  79,  72,  69,  88,  65,  68,  73,  69,  78,  69,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   1,   1,   1,   1,   1,   1,   1,   2,   2,   2,   2, 
  2,   2,   2,   2,   1,   6,   2,   2,   2,   4,   1,   2,   2,   2,   2, 
  2,   2,   1,   1,   1,   2,   2,   1,   2,   2,   1,   1,   1,   2,   2, 
  2,   2,   1,  20,   1,   2,   2,   1,   2,   2,   1,  35,   1,   2,   2, 
  2,   2,   1,   2,   4,   2,   2,   2,   2,   2,  10,   2,   1,   2,   2, 
  2,   2,   1,   1,   2,   2,   8,   1,  35,   2,   2,   1,   1,   2,   2, 
  2,   2,   1,   2,  21,   2,   2,   2,   2,   2,  21,   2,   1,   2,   2, 
  2,   2,   1,  20,   1,   2,   2,   1,   2,   2,   1,   8,   1,   2,   2, 
  2,   2,   1,   1,   1,   2,   2,   1,   2,   2,   1,   1,   1,   2,   2, 
  2,   2,   2,   2,   1,   6,   2,   2,   2,  10,   1,   2,   2,   2,   2, 
  2,   2,   2,   2,   1,   1,   1,   1,   1,   1,   1,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   6,   2,   2,   8,   2,   2,   2, 
  6,   2,  35,  20,   2,   8,   2,   2, 
  2,  21,   2,   2,  21,   2,   2,   2, 
  4,   2,  35,  20,   2,  10,   2,   2, 
  2,   4,   2,   2,  10,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 43: SQUARIC ACID
 83,  81,  85,  65,  82,  73,  67,  32,  65,  67,  73,  68,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   1,  15,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   9,   2,  32,   1,   2,   2,   2,   2,  25,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,  46,   2,   1,  18,   1,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   1,   1,   1,  46,   1,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,  52,  45,   1,   1,   1,   1,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   2,   5,   2,   1,   2,   2,   2,   2,   2,   1,   2,   2, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,  46,  46,   2,   2,   2,   2, 
  2,   2,  25,  32,   2,   2,   2,   2, 
  2,   2,  18,  15,   2,   2,   2,   2, 
  5,  45,   2,   2,  52,   9,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 44: UREA
 85,  82,  69,  65,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2,   2,   2, 
  2,   1,   1,   5,   2,   2,  56,   1,   2,   2,   1,   2,   2,   2,   2, 
  2,   1,   2,   1,   2,   2,   2,   1,   2,   2,   1,   1,   1,   1,   2, 
  2,   1,   2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2, 
  2,   1,   2,   1,   1,   2,   2,   1,   2,   1,   2,   1,   2,   1,   2, 
  2,   1,   7,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2,   1,   2, 
  2,   1,   2,   1,   1,   1,   1,   1,   1,   2,   1,   1,   2,   1,   2, 
  2,   1,   2,   5,  59,   2,   2,   2,   2,   2,   2,   2,  49,   1,   2, 
  2,   1,   3,   2,   1,   2,   1,   2,   2,   2,   1,   1,   1,   1,   2, 
  2,   1,   2,   2,   1,   2,   1,   2,   2,   2,   1,   2,   2,   2,   2, 
  2,   1,   2,   2,   1,   2,   1,   2,   2,   2,   1,   2,   2,   2,   2, 
  2,   1,   2,  35,   1,   2,   1,   2,   2,   2,   1,   2,   2,   2,   2, 
  2,   1,   2,   2,   1,   2,   1,   2,   2,   2,   1,   2,   2,   2,   2, 
  2,   1,   1,   1,   2,   2,   2,   2,   2,   2,   1,   2,   2,   2,   2, 
  2,   2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2,   2,   2, 
  2,   7,   2,   2,   2,   2,   2,   2, 
  5,  56,   2,   2,   2,   2,   2,   2, 
  2,   2,  35,  49,   2,   2,   2,   2, 
  5,  59,   2,   2,   2,   2,   2,   2, 
  2,   3,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 45: PYRUVIC ACID
 80,  89,  82,  85,  86,  73,  67,  32,  65,  67,  73,  68,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1, 
  1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   9,  49,   1, 
  1,   1,   1,   2,   2,   2,   1,   2,   2,   2,   2,  25,   1,   1,   1, 
  2,   2,   1,   2,   2,   2,   1,   2,   2,   2,   2,   1,   2,   2,   1, 
  2,   2,   1,   2,   2,   2,   1,   2,   2,   2,   2,   1,   2,   2,   1, 
  2,   2,   1,   2,   1,   1,   1,   2,   2,   2,   2,   1,   2,   2,   1, 
  2,   2,   1,   2,   2,   5,   1,   2,   2,   2,   2,   1,   2,   2,   1, 
  2,   2,   1,   1,   1,   1,   1,   2,   2,   2,   2,   2,   2,   2,   1, 
  2,   2,   1,  16,  46,   1,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  2,   2,   1,   2,   2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  1,   1,   1,   2,   2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  1,  48,   1,   2,   2,   2,   2,   2,   2,   2,   1,   1,   2,   2,   1, 
  1,   3,  14,   2,   2,   2,   2,   2,   2,   2,   9,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2,   2,   2, 
  2,  46,   2,   2,   2,   2,   2,   2, 
  2,  25,  48,   9,   2,   2,   2,   2, 
  2,  16,  49,   2,   2,   2,   2,   2, 
  5,  14,   9,   2,   2,   2,   2,   2, 
  2,   3,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 46: DIACETYL
 68,  73,  65,  67,  69,  84,  89,  76,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  1,   1,   1,   1,   1,   1,   1,   2,   2,   2,   2,   2,   2,   2,   2, 
  1,  49,   2,   2,   2,  49,   1,   1,   1,   1,   1,   1,   1,   1,   2, 
  1,   2,   2,   2,   2,   2,   1,   2,   2,   2,   2,   2,   8,   1,   2, 
  1,   2,   2,   2,   2,   2,   1,   2,   2,   2,   2,   2,   2,   1,   2, 
  1,   2,   2,   2,   2,   2,   1,   2,   2,   2,   2,   2,   2,   1,   2, 
  1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   2, 
  1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   1,   1,   1,   2, 
  1,   2,   2,   2,   2,   4,   2,   2,   2,   2,  18,   6,  21,   2,   1, 
  1,   1,   1,   1,   1,   1,   2,   2,   2,   2,   2,   2,   2,   4,   1, 
  2,   2,   1,  21,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  2,   2,   1,   2,   2,   2,   2,   2,   2,   2,   1,   2,   2,   2,   1, 
  2,   2,   1,   2,   2,   2,   2,   2,   2,   2,   1,   2,   2,   2,   1, 
  2,   2,   1,   6,  33,   2,   2,   2,   2,  10,   1,   2,   2,   2,   1, 
  2,   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2,   2,   1, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   1,   1,   1,   1, 
  6,   2,   8,   2,   2,   2,   2,   2, 
  2,  21,   2,   2,   2,   2,   2,   2, 
  4,   2,  33,  49,   2,   2,   2,   2, 
  6,   2,  18,  49,   2,   2,   2,   2, 
  2,  21,   2,   2,   2,   2,   2,   2, 
  4,   2,  10,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 47: DIKETENE
 68,  73,  75,  69,  84,  69,  78,  69,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   3,  32,   2,   2,   2,   2,   2,   2,   2,   2,  12,   1,   1, 
  1,   2,   2,   6,   2,   2,   2,   2,   2,   2,   2,   2,  24,   2,   1, 
  1,   2,   2,   1,   2,   1,   2,   2,   2,   1,   2,   1,   2,   2,   1, 
  1,   2,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2,   2,   2,   1, 
  1,   9,   2,   1,   2,   1,   2,   2,   2,   1,   2,   1,   2,   2,   1, 
  1,  38,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  1,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   1, 
  1,  47,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  1,   2,   2,   1,   2,   1,   2,   2,   2,   1,   2,   1,   2,   2,   1, 
  1,   2,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2,   2,   2,   1, 
  1,   2,   2,   1,   2,   1,   2,   2,   2,   1,   2,   1,   2,   2,   1, 
  1,  14,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  1,   1,   2,   8,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1, 
  6,   2,   8,   2,   2,   2,   2,   2, 
  2,  24,   2,   2,   2,   2,   2,   2, 
 47,  32,   2,   2,   2,   2,   2,   2, 
 12,  14,   9,   2,   2,   2,   2,   2, 
 38,   3,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 48: ACROLEINE
 65,  67,  82,  79,  76,  69,  73,  78,  69,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2, 
  1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1, 
  1,   2,   2,   2,   2,   2,   8,   1,   8,   2,   2,   2,   2,   2,   1, 
  1,   2,   2,   2,   2,   2,   1,   1,   1,   2,   2,   2,   2,   2,   1, 
  1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  1,  41,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,  10,   1, 
  1,   1,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   1,   1, 
  1,   1,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   1,   1, 
  1,  20,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   4,   1, 
  1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  1,   2,   2,   2,   2,   2,   1,   1,   1,   2,   2,   2,   2,   2,   1, 
  1,   2,   2,   2,   2,   2,  24,   1,  30,   2,   2,   2,   2,   2,   1, 
  1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1, 
  2,   2,   8,   2,   2,   2,   2,   2, 
 41,  20,   2,   8,   2,   2,   2,   2, 
  2,   2,  24,   2,   2,   2,   2,   2, 
  2,   2,  30,   2,   2,   2,   2,   2, 
  2,   4,   2,  10,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 49: MALONIC ACID
 77,  65,  76,  79,  78,  73,  67,  32,  65,  67,  73,  68,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,  46,  21,  38,   2,   2,   2,   2,   2,   2,   2,   9,   1,   1, 
  1,   9,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,  48,   1, 
  1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,  27,   1, 
  1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  1,   2,   2,   2,   2,   2,   1,   2,   1,   2,   2,   2,   2,   2,   1, 
  1,   2,   2,   2,   2,   2,   2,   1,   2,   2,   2,   2,   2,   2,   1, 
  1,   2,   2,   2,   2,   2,   1,   2,   1,   2,   2,   2,   2,   2,   1, 
  1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  1,  37,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1,   6,   1, 
  1,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,  48,   4,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1, 
  2,   2,  46,   2,   2,   2,   2,   2, 
  6,   2,  27,  48,   9,   2,   2,   2, 
  2,  21,   2,   2,   2,   2,   2,   2, 
  4,   2,  37,  48,   9,   2,   2,   2, 
  2,   2,  38,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 

// LEVEL 50: URACIL
 85,  82,  65,  67,  73,  76,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
  1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1, 
  1,   4,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,  30,  46,   1, 
  1,   3,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,  30,   2,   1, 
  1,   2,   1,   2,   2,   1,   2,   2,   2,   2,   1,   2,   2,   2,   1, 
  1,   2,   1,   2,   2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  1,   2,   1,   2,   2,   1,   2,   1,   2,   2,   2,   2,   2,   2,   1, 
  1,   2,   2,   1,   1,  49,   2,   2,   2,   2,   1,   2,   2,   2,   1, 
  1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  1,   2,   2,   2,   2,   1,  18,   9,   2,   2,   2,   1,   2,   2,   1, 
  1,   2,   2,   1,   2,   1,  62,   1,   1,   1,   2,   2,   2,   2,   1, 
  1,   2,   2,   2,   2,   1,   1,   1,   2,   1,   2,   2,   2,   2,   1, 
  1,   2,   1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   1, 
  1,   2,   2,   2,   1,   2,   2,   2,   2,   2,   1,   2,   6,  24,   1, 
  1,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,   2,  60,   1, 
  1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1, 
  2,   2,  46,   2,   2,   2,   2,   2, 
  6,   2,  30,   2,   2,   2,   2,   2, 
  2,  24,   2,  62,   9,   2,   2,   2, 
  2,  30,   2,  18,  49,   2,   2,   2, 
  4,   2,  60,   2,   2,   2,   2,   2, 
  2,   2,   3,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2, 
  2,   2,   2,   2,   2,   2,   2,   2
};

#endif
